#ifndef GRAPHICS_H_INCLUDED
#define GRAPHICS_H_INCLUDED

#define REAL double

#define X_AXIS 1
#define Y_AXIS 2
#define Z_AXIS 3

struct Point {
  REAL X;
  REAL Y;
  REAL Z;
};

struct HomogenPoint {
  REAL X;
  REAL Y;
  REAL Z;
  REAL W;
};
  
struct Matrix {
  REAL Werte[4][4];
};

void InitGraphics( int DisplaySizeX, int DisplaySizeY );
void UnitMatrix( struct Matrix* pMatrix );
void Apply( struct Matrix* pMatrix );
void Translate( REAL X, REAL Y, REAL Z );
void Rotate( REAL Angle, unsigned char Axis );
void Scale( REAL xs, REAL ys, REAL zs );
void Persp( REAL Alpha, REAL ZNear, REAL ZFar );
void Push();
void Pop();
void Transform( struct Point* World, struct HomogenPoint* Transformed );

void DrawLine3d( double StartX, double StartY, double StartZ,
                 double EndX, double EndY, double EndZ );
void DrawLine( struct Point* pStart, struct Point* pEnd );



#endif
