#include "Graphics.h"

void Plane( CDC* pDC )
{
  signed char i;
  
  for( i = -2; i < 3; i++ ) {
    DrawLine3d( pDC,  i, -2, 0,  i, 2, 0 );
  }

  for( i = -2; i < 3; i++ ) {
    DrawLine3d( pDC,  -2, i, 0,  2, i, 0 );
  }

  DrawLine3d( pDC,  0, 2, 0,  0, 2, 4 );
}

void Cube( CDC* pDC )
{
  DrawLine3d( pDC,  0, 0, 0,  1, 0, 0 );
  DrawLine3d( pDC,  1, 0, 0,  1, 1, 0 );
  DrawLine3d( pDC,  1, 1, 0,  0, 1, 0 );
  DrawLine3d( pDC,  0, 1, 0,  0, 0, 0 );
  
  DrawLine3d( pDC,  0, 0, 1,  1, 0, 1 );
  DrawLine3d( pDC,  1, 0, 1,  1, 1, 1 );
  DrawLine3d( pDC,  1, 1, 1,  0, 1, 1 );
  DrawLine3d( pDC,  0, 1, 1,  0, 0, 1 );

  DrawLine3d( pDC,  0, 0, 0,  0, 0, 1 );
  DrawLine3d( pDC,  1, 0, 0,  1, 0, 1 );
  DrawLine3d( pDC,  1, 1, 0,  1, 1, 1 );
  DrawLine3d( pDC,  0, 1, 0,  0, 1, 1 );
}

int main()
{
  InitGraphics( 200, 200 );   // 3D Graphik initialisieren
                              // Display Gre 200 * 200 Pixel
  
  // Perspektive aufsetzen
  
  Persp( 45, 6, 12 );
  Translate( 0, -1.41, 10 );
  Rotate( -80, X_AXIS );
  Rotate( 48, Z_AXIS );
  Scale( 1, 1, -1 );

  // Die Grundplatte zeichnen
  Plane( pDC );
  
  // den ersten Wuerfel
  Push();
  Scale( 1, 1, 2 );
  Cube( pDC );
  Pop();
  
  // den zweiten Wuerfel
  Translate( 1, 1, 0 );
  Rotate( 30, Z_AXIS );
  Cube( pDC );
}
